Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	an enhanced clone of the Pico text editor.
Name:      	nano
Version:   	2.2.4
Release:   	1
BuildArch:	i686
License: 	GPL
URL:		http://www.nano-editor.org/
Group:     	Text Tools
Source0: 	%{name}-%{version}.tar.gz
Source2:         nanorc

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

%description
GNU nano - an enhanced clone of the Pico text editor.
The nano project was started because of a few "problems" with the
wonderfully easy-to-use and friendly Pico text editor.

First and foremost is its license: the Pine suite does not use the
GPL or a GPL-friendly license, and has unclear restrictions on
redistribution.  Because of this, Pine and Pico are not included
with many GNU/Linux distributions.  Also, other features (like go
to line number or search and replace) were unavailable until
recently or require a command line flag.  Yuck.

nano aims to solve these problems by emulating the functionality of
Pico as closely as possible while addressing the problems above and
perhaps providing other extra functionality.

The nano editor is now an official GNU package.  For more
information on GNU and the Free Software Foundation, please see
http://www.gnu.org.

%post
ldconfig
/sbin/install-info %{_infodir}/nano.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/nano.info.gz %{_infodir}/dir
fi



%prep
%setup -qn %{name}-%{version}

%build
%configure --enable-all
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install

cp %{SOURCE2} ./nanorc

# disable line wrapping by default
sed 's/# set nowrap/set nowrap/' doc/nanorc.sample >> ./nanorc
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 ./nanorc $RPM_BUILD_ROOT%{_sysconfdir}/nanorc
rm -rf $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/nanorc
%{_bindir}/nano
%{_bindir}/rnano
%{_infodir}/nano.info.gz
%{_locale}/*/LC_MESSAGES/nano.mo
%{_mandir}/fr/man1/nano.1.gz
%{_mandir}/fr/man1/rnano.1.gz
%{_mandir}/fr/man5/nanorc.5.gz
%{_mandir}/man1/nano.1.gz
%{_mandir}/man1/rnano.1.gz
%{_mandir}/man5/nanorc.5.gz
%{_datadir}/nano

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- Version update
* Tue Mar 02 2010 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Version update
- add /etc/nanorc
* Tue Dec 01 2009 Christian Metzen <metzench@ccux-linux.de> 2.2.0-1
- Version update
* Sun Feb 08 2009 Christian Metzen <metzench@ccux-linux.de> 2.0.9-1
- Version update
* Thu Dec 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.7-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- Version update
* Sat Apr 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Version update
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Initial Release
